/**************************************************************************
 *
 * FILE  output.h
 * Copyright (c) 2018 Daniel Kahlin
 * Written by Daniel Kahlin <daniel@kahlin.net>
 *
 * DESCRIPTION
 *   hex output functions
 *
 ******/
#ifndef OUTPUT_H
#define OUTPUT_H
#include <stdint.h>

#include "cbm_mem.h"

typedef struct {
    int long_addr;
    int max_line_len;
    int printable;

    cbm_ptr_t addr;
    uint8_t buf[256];
    int len;
} Dumper;


void init_dumper(Dumper *dmp);
void flush_dumper(Dumper *dmp);
char printable(uint8_t c);
void dump_data(Dumper *dmp, cbm_ptr_t addr, uint8_t data);


#endif /* OUTPUT_H */
/* eof */
