/**************************************************************************
 *
 * FILE  params.h
 * Copyright (c) 2012, 2018 Daniel Kahlin
 * Written by Daniel Kahlin <daniel@kahlin.net>
 *
 * DESCRIPTION
 *   parameter parsing
 *
 ******/
#ifndef PARAMS_H
#define PARAMS_H

#include "cbm_mem.h"

typedef struct {
    cbm_ptr_t sa;
    cbm_ptr_t ea;
    cbm_ptr_t da;
} slice_t;

typedef struct {
    char *name;
    enum mode_t mode;
    cbm_ptr_t la;
    int offs;
    int len;
} loadfile_t;

typedef struct {
    char *name;
    enum mode_t mode;
    cbm_ptr_t la;
    cbm_ptr_t sa;
    cbm_ptr_t ea;
} savefile_t;

int parse_value(char *str);
void parse_range(char *str, cbm_range_t *rng);

slice_t parse_slice(char *str, cbm_range_t rng);
loadfile_t parse_loadname(char *str);
savefile_t parse_savename(char *name, cbm_range_t rng);

#endif /* PARAMS_H */
/* eof */
